<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Acces;
use App\Http\Requests;

class WelcomeController extends Controller
{
    /**
     * WelcomeController constructor.
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /** Mostra vista benvinguda amb els seus contadors
     * @return mixed
     */
    public function index()
    {
        $contadors = $this->contarAccessos();

        return view('welcome')->with('contadors', $contadors);
    }

    /** Es conten els diferents accessos. Totals, no autoritzats i erronis
     * @return mixed
     */
    public function contarAccessos()
    {
        $acces = new acces();
        $countAccessosTotals = $acces->getAcces()->count();
        $countAccessosNoAutoritzats = $acces->getAccesVehicleInfractor()->count();
        $countAccessosConfirmar = $acces->getAccesLecturaMatricula(False)->count();
        $contadors = collect([
            'countAccessosTotals' => $countAccessosTotals,
            'countAccessosNoAutoritzats' => $countAccessosNoAutoritzats,
            'countAccessosConfirmar' => $countAccessosConfirmar
        ]);
        return $contadors;
    }
}
